Bug 50258 - Installer incorrectly diagnoses bad disk geometry
Installer incorrectly diagnoses bad disk geometry
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-29 06:27 EDT by summer
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 10:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description summer 2001-07-29 06:27:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6 i686)

Description of problem:
I have an aged 486-based computer that's been running RHL 4.2 for years.
The computer contains a pair of Quantum LPS 420A drives with
cchhss=1010,16,51.
According to fdisk on RHL 7.1,hda has these partitions:
1   1     20     8134+  82  Linux Swap
2  21 1010 403920    83  Linux
hdb has
1   1   20   412054+ 83 Linux Swap

the installer complains about hda. Before I've even chosen which drive to
install to - for all it knows I might want to install to hdb.

The existing partition structure has been on hda since RHL 4.2 was new.



How reproducible:
Always

Steps to Reproduce:
1.Partition your drive as above
2.Try to install RHL 7.1
3.
	

Actual Results:  "An error occurred reading the partition table for the
block device hda. The error was:

"Partition(s) do not end on cylinder boundary."

It goes on to explain that this is because the drive geometry detected by
the kernel is different from the drive geometry used to partitiion the
drive.

Expected Results:  I expect to be able to install to this drive; if not
that one, then at least to the other.

It happens I'm happy to repartition the drive.



Additional info:

I've classified its severity as "High" because as it stands it's unusable.
Comment 1 Brent Fox 2001-07-30 10:11:29 EDT
Try passing 'linux noprobe' at the syslinux bootup screen.  This *should* allow
the kernel to be more liberal in it's interpretation of disk geometry.  Does
this solve the problem?
Comment 2 Brent Fox 2001-08-10 11:09:00 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.